﻿using System;
using PSO2SERVER.Models;
using PSO2SERVER.Protocol.Packets;

namespace PSO2SERVER.Protocol.Handlers
{
    [PacketHandlerAttr(0x1C, 0x1E)]
    class _1C_1E_UNK : PacketHandler
    {
        public struct _1C_1E_PACKET
        {
            public uint player_id;
            public uint unk1;
        }

        public override void HandlePacket(Client context, byte flags, byte[] data, uint position, uint size)
        {
            var info = string.Format("[<--] 接收到的数据 (hex): {0} 字节", data.Length);
            Logger.WriteHex(info, data);

            var reader = new PacketReader(data, position, size);
            var pkt = reader.ReadStruct<_1C_1E_PACKET>();

            Logger.Write("player_id {0} unk1 {1}", pkt.player_id, pkt.unk1);
        }
    }
}
